MKTEMP(1)

NAZWA
mktemp - tworzy plik lub katalog tymczasowy

SKŁADNIA
mktemp [OPCJA]... [SZABLON]

OPIS

Bezpiecznie tworzy plik lub katalog tymczasowy i wypisuje jego nazwę. SZABLON musi zawierać przynajmniej 3 kolejne znaki X w swej ostatniej części. Jeśli nie podano SZABLONU, używana jest nazwa tmp.XXXXXXXXXX oraz włączana jest opcja --tmpdir. Pliki są tworzone z uprawnieniami u+rw, katalogi u+rwx minus uprawnienia z umask.

-d, --directory
    tworzy katalog zamiast pliku

-u, --dry-run
    niczego nie tworzy, wypisuje jedynie nazwę (ryzykowne)

-q, --quiet
    wyłącza komunikaty diagnostyczne o błędach przy tworzeniu plików lub katalogów

--suffix=PRZYROSTEK
    dodane PRZYROSTEK do SZABLONU. Nie może on zawierać ukośnika. Opcja jest włączana automatycznie, jeśli SZABLON nie kończy się X.

-p KATALOG, --tmpdir[=KATALOG]
    interpretuje SZABLON względem KATALOGU. Jeśli KATALOG nie zostanie podany, używa zmiennej $TMPDIR jeśli jest ustawiona, a w przeciwnym wypadku katalogu /tmp. Jeśli korzysta się z tej opcji, to SZABLON nie może być ścieżką bezwzględną. Inaczej niż przy użyciu opcji -t, SZABLON może zawierać ukośniki, ale mktemp utworzy tylko ostatni, wydzielony nimi, składnik nazwy.

-t  interpretuje SZABLON jako pojedynczy składnik nazwy pliku w odniesieniu do katalogu: $TMPDIR jeśli ta zmienna jest ustawiona, katalogu określonego opcją -p, a jeśli go nie podano - /tmp [przestarzałe]

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez i Jima Meyeringa i Erica Blake.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu mktemp proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
mkstemp(3), mkdtemp(3), mktemp(3)

Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/mktemp>
lub lokalnie, za pomocą info '(coreutils) mktemp invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.